[SM-Grimoire-Bugs] [Bug 15219] New: vlc 0.9.9a fails to find goom with LDFLAGS=-Wl, --as-needed

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sat May 9 23:31:06 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15219

           Summary: vlc 0.9.9a fails to find goom with
                    LDFLAGS=-Wl,--as-needed
           Product: Codex
           Version: test grimoire
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: video
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: sandalle at sourcemage.org
            Blocks: 15215


$ gaze version gcc glibc binutils
Grimoire  Section  Spell     Grimoire Version  Installed Version
--------  -------  -----     ----------------  -----------------
test      gnu      gcc       4.3.3             4.3.3
test      libs     glibc     2.9               2.9
test      devel    binutils  2.19.1            2.19.1

$ sorcery -v
1.14.2

# cast vlc
...
vlc has an enabled optional dependency on goom
...
checking for xosd_set_horizontal_offset in -lxosd... yes
checking goom/goom.h usability... yes
checking goom/goom.h presence... yes
checking for goom/goom.h... yes
checking for goom_init in -lgoom2... no
configure: error: Could not find goom on your system: you may get it from
http://www.ios-software.com/.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list